### Function

# Gtk render_check

deprecated: 4.10 since: 4.0

#### Declaration [src]

    void
    gtk_render_check (
      GtkStyleContext* context,
      cairo_t* cr,
      double x,
      double y,
      double width,
      double height
    )

#### Description [src]

Renders a checkmark (as in a `GtkCheckButton`).

The `GTK_STATE_FLAG_CHECKED` state determines whether the check is on or off, and `GTK_STATE_FLAG_INCONSISTENT` determines whether it should be marked as undefined.

Typical checkmark rendering:

Available since: 4.0

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`context`

  Type: `GtkStyleContext`

  A `GtkStyleContext`

  The data is owned by the caller of the function.

`cr`

  Type: `cairo_t`

  A `cairo_t`

  The data is owned by the caller of the function.

`x`

  Type: `double`

  X origin of the rectangle.

`y`

  Type: `double`

  Y origin of the rectangle.

`width`

  Type: `double`

  Rectangle width.

`height`

  Type: `double`

  Rectangle height.